# Makefile.in generated by automake 1.10.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = access$(EXEEXT) cdpwd$(EXEEXT) changemod$(EXEEXT) \
	conf$(EXEEXT) copy$(EXEEXT) copy1$(EXEEXT) devrdev$(EXEEXT) \
	devzero$(EXEEXT) fileflags$(EXEEXT) ftw2$(EXEEXT) \
	ftw3$(EXEEXT) ftw4$(EXEEXT) hello$(EXEEXT) hole$(EXEEXT) \
	longpath$(EXEEXT) ls1$(EXEEXT) mcopy$(EXEEXT) mycd$(EXEEXT) \
	nonblockw$(EXEEXT) pipe$(EXEEXT) pollpipe$(EXEEXT) \
	pollpipe1$(EXEEXT) seek$(EXEEXT) selectpipe$(EXEEXT) \
	selectpipe1$(EXEEXT) testerror$(EXEEXT) uidgid$(EXEEXT) \
	umask$(EXEEXT) unlink$(EXEEXT) zap$(EXEEXT) filetype$(EXEEXT) \
	filesize$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS depcomp install-sh missing \
	mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_access_OBJECTS = access.$(OBJEXT)
access_OBJECTS = $(am_access_OBJECTS)
access_DEPENDENCIES = error.o
am_cdpwd_OBJECTS = cdpwd.$(OBJEXT)
cdpwd_OBJECTS = $(am_cdpwd_OBJECTS)
cdpwd_DEPENDENCIES = error.o pathalloc.o
am_changemod_OBJECTS = changemod.$(OBJEXT)
changemod_OBJECTS = $(am_changemod_OBJECTS)
changemod_DEPENDENCIES = error.o
am_conf_OBJECTS = conf.$(OBJEXT)
conf_OBJECTS = $(am_conf_OBJECTS)
conf_DEPENDENCIES = error.o
am_copy_OBJECTS = copy.$(OBJEXT)
copy_OBJECTS = $(am_copy_OBJECTS)
copy_LDADD = $(LDADD)
am_copy1_OBJECTS = copy1.$(OBJEXT)
copy1_OBJECTS = $(am_copy1_OBJECTS)
copy1_LDADD = $(LDADD)
am_devrdev_OBJECTS = devrdev.$(OBJEXT)
devrdev_OBJECTS = $(am_devrdev_OBJECTS)
devrdev_DEPENDENCIES = error.o
am_devzero_OBJECTS = devzero.$(OBJEXT)
devzero_OBJECTS = $(am_devzero_OBJECTS)
devzero_DEPENDENCIES = error.o tellwait.o
am_fileflags_OBJECTS = fileflags.$(OBJEXT)
fileflags_OBJECTS = $(am_fileflags_OBJECTS)
fileflags_DEPENDENCIES = error.o
am_filesize_OBJECTS = filesize.$(OBJEXT)
filesize_OBJECTS = $(am_filesize_OBJECTS)
filesize_DEPENDENCIES = error.o
am_filetype_OBJECTS = filetype.$(OBJEXT)
filetype_OBJECTS = $(am_filetype_OBJECTS)
filetype_DEPENDENCIES = error.o
am_ftw2_OBJECTS = ftw2.$(OBJEXT)
ftw2_OBJECTS = $(am_ftw2_OBJECTS)
ftw2_DEPENDENCIES = error.o pathalloc.o
am_ftw3_OBJECTS = ftw2.$(OBJEXT)
ftw3_OBJECTS = $(am_ftw3_OBJECTS)
ftw3_DEPENDENCIES = error.o pathalloc.o
am_ftw4_OBJECTS = ftw4.$(OBJEXT)
ftw4_OBJECTS = $(am_ftw4_OBJECTS)
ftw4_DEPENDENCIES = error.o pathalloc.o
am_hello_OBJECTS = hello.$(OBJEXT)
hello_OBJECTS = $(am_hello_OBJECTS)
hello_DEPENDENCIES = error.o
am_hole_OBJECTS = hole.$(OBJEXT)
hole_OBJECTS = $(am_hole_OBJECTS)
hole_DEPENDENCIES = error.o
am_longpath_OBJECTS = longpath.$(OBJEXT)
longpath_OBJECTS = $(am_longpath_OBJECTS)
longpath_DEPENDENCIES = error.o pathalloc.o
am_ls1_OBJECTS = ls1.$(OBJEXT)
ls1_OBJECTS = $(am_ls1_OBJECTS)
ls1_DEPENDENCIES = error.o
am_mcopy_OBJECTS = mcopy.$(OBJEXT)
mcopy_OBJECTS = $(am_mcopy_OBJECTS)
mcopy_DEPENDENCIES = error.o
am_mycd_OBJECTS = mycd.$(OBJEXT)
mycd_OBJECTS = $(am_mycd_OBJECTS)
mycd_DEPENDENCIES = error.o
am_nonblockw_OBJECTS = nonblockw.$(OBJEXT)
nonblockw_OBJECTS = $(am_nonblockw_OBJECTS)
nonblockw_DEPENDENCIES = error.o
am_pipe_OBJECTS = pipe.$(OBJEXT)
pipe_OBJECTS = $(am_pipe_OBJECTS)
pipe_DEPENDENCIES = error.o
am_pollpipe_OBJECTS = pollpipe.$(OBJEXT)
pollpipe_OBJECTS = $(am_pollpipe_OBJECTS)
pollpipe_DEPENDENCIES = error.o
am_pollpipe1_OBJECTS = pollpipe1.$(OBJEXT)
pollpipe1_OBJECTS = $(am_pollpipe1_OBJECTS)
pollpipe1_DEPENDENCIES = error.o
am_seek_OBJECTS = seek.$(OBJEXT)
seek_OBJECTS = $(am_seek_OBJECTS)
seek_LDADD = $(LDADD)
am_selectpipe_OBJECTS = selectpipe.$(OBJEXT)
selectpipe_OBJECTS = $(am_selectpipe_OBJECTS)
selectpipe_DEPENDENCIES = error.o
am_selectpipe1_OBJECTS = selectpipe1.$(OBJEXT)
selectpipe1_OBJECTS = $(am_selectpipe1_OBJECTS)
selectpipe1_DEPENDENCIES = error.o
am_testerror_OBJECTS = testerror.$(OBJEXT)
testerror_OBJECTS = $(am_testerror_OBJECTS)
testerror_DEPENDENCIES = error.o
am_uidgid_OBJECTS = uidgid.$(OBJEXT)
uidgid_OBJECTS = $(am_uidgid_OBJECTS)
uidgid_DEPENDENCIES = error.o
am_umask_OBJECTS = umask.$(OBJEXT)
umask_OBJECTS = $(am_umask_OBJECTS)
umask_DEPENDENCIES = error.o
am_unlink_OBJECTS = unlink.$(OBJEXT)
unlink_OBJECTS = $(am_unlink_OBJECTS)
unlink_DEPENDENCIES = error.o
am_zap_OBJECTS = zap.$(OBJEXT)
zap_OBJECTS = $(am_zap_OBJECTS)
zap_DEPENDENCIES = error.o
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(access_SOURCES) $(cdpwd_SOURCES) $(changemod_SOURCES) \
	$(conf_SOURCES) $(copy_SOURCES) $(copy1_SOURCES) \
	$(devrdev_SOURCES) $(devzero_SOURCES) $(fileflags_SOURCES) \
	$(filesize_SOURCES) $(filetype_SOURCES) $(ftw2_SOURCES) \
	$(ftw3_SOURCES) $(ftw4_SOURCES) $(hello_SOURCES) \
	$(hole_SOURCES) $(longpath_SOURCES) $(ls1_SOURCES) \
	$(mcopy_SOURCES) $(mycd_SOURCES) $(nonblockw_SOURCES) \
	$(pipe_SOURCES) $(pollpipe_SOURCES) $(pollpipe1_SOURCES) \
	$(seek_SOURCES) $(selectpipe_SOURCES) $(selectpipe1_SOURCES) \
	$(testerror_SOURCES) $(uidgid_SOURCES) $(umask_SOURCES) \
	$(unlink_SOURCES) $(zap_SOURCES)
DIST_SOURCES = $(access_SOURCES) $(cdpwd_SOURCES) $(changemod_SOURCES) \
	$(conf_SOURCES) $(copy_SOURCES) $(copy1_SOURCES) \
	$(devrdev_SOURCES) $(devzero_SOURCES) $(fileflags_SOURCES) \
	$(filesize_SOURCES) $(filetype_SOURCES) $(ftw2_SOURCES) \
	$(ftw3_SOURCES) $(ftw4_SOURCES) $(hello_SOURCES) \
	$(hole_SOURCES) $(longpath_SOURCES) $(ls1_SOURCES) \
	$(mcopy_SOURCES) $(mycd_SOURCES) $(nonblockw_SOURCES) \
	$(pipe_SOURCES) $(pollpipe_SOURCES) $(pollpipe1_SOURCES) \
	$(seek_SOURCES) $(selectpipe_SOURCES) $(selectpipe1_SOURCES) \
	$(testerror_SOURCES) $(uidgid_SOURCES) $(umask_SOURCES) \
	$(unlink_SOURCES) $(zap_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
access_SOURCES = access.c error.o
access_LDADD = error.o
cdpwd_SOURCES = cdpwd.c pathalloc.o error.o
cdpwd_LDADD = error.o pathalloc.o
changemod_SOURCES = changemod.c error.o
changemod_LDADD = error.o
conf_SOURCES = conf.c error.o
conf_LDADD = error.o
copy_SOURCES = copy.c 
copy1_SOURCES = copy1.c
devrdev_SOURCES = devrdev.c error.o
devrdev_LDADD = error.o
devzero_SOURCES = devzero.c error.o tellwait.o
devzero_LDADD = error.o tellwait.o
fileflags_SOURCES = fileflags.c error.o
fileflags_LDADD = error.o
filetype_SOURCES = filetype.c error.o
filetype_LDADD = error.o
filesize_SOURCES = filesize.c error.o
filesize_LDADD = error.o
ftw2_SOURCES = ftw2.c error.o pathalloc.o
ftw2_LDADD = error.o pathalloc.o
ftw3_SOURCES = ftw2.c error.o pathalloc.o
ftw3_LDADD = error.o pathalloc.o
ftw4_SOURCES = ftw4.c error.o pathalloc.o
ftw4_LDADD = error.o pathalloc.o
hello_SOURCES = hello.c error.o
hello_LDADD = error.o
hole_SOURCES = hole.c error.o
hole_LDADD = error.o
longpath_SOURCES = longpath.c error.o pathalloc.o
longpath_LDADD = error.o pathalloc.o
ls1_SOURCES = ls1.c error.o
ls1_LDADD = error.o
mcopy_SOURCES = mcopy.c error.o
mcopy_LDADD = error.o
mycd_SOURCES = mycd.c error.o
mycd_LDADD = error.o
nonblockw_SOURCES = nonblockw.c error.o
nonblockw_LDADD = error.o
pipe_SOURCES = pipe.c error.o
pipe_LDADD = error.o
pollpipe_SOURCES = pollpipe.c error.o
pollpipe_LDADD = error.o
pollpipe1_SOURCES = pollpipe1.c error.o
pollpipe1_LDADD = error.o
seek_SOURCES = seek.c
selectpipe_SOURCES = selectpipe.c error.o
selectpipe_LDADD = error.o
selectpipe1_SOURCES = selectpipe1.c error.o
selectpipe1_LDADD = error.o
testerror_SOURCES = testerror.c error.o
testerror_LDADD = error.o
uidgid_SOURCES = uidgid.c error.o
uidgid_LDADD = error.o
umask_SOURCES = umask.c error.o
umask_LDADD = error.o
unlink_SOURCES = unlink.c error.o
unlink_LDADD = error.o
zap_SOURCES = zap.c error.o
zap_LDADD = error.o
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
access$(EXEEXT): $(access_OBJECTS) $(access_DEPENDENCIES) 
	@rm -f access$(EXEEXT)
	$(LINK) $(access_OBJECTS) $(access_LDADD) $(LIBS)
cdpwd$(EXEEXT): $(cdpwd_OBJECTS) $(cdpwd_DEPENDENCIES) 
	@rm -f cdpwd$(EXEEXT)
	$(LINK) $(cdpwd_OBJECTS) $(cdpwd_LDADD) $(LIBS)
changemod$(EXEEXT): $(changemod_OBJECTS) $(changemod_DEPENDENCIES) 
	@rm -f changemod$(EXEEXT)
	$(LINK) $(changemod_OBJECTS) $(changemod_LDADD) $(LIBS)
conf$(EXEEXT): $(conf_OBJECTS) $(conf_DEPENDENCIES) 
	@rm -f conf$(EXEEXT)
	$(LINK) $(conf_OBJECTS) $(conf_LDADD) $(LIBS)
copy$(EXEEXT): $(copy_OBJECTS) $(copy_DEPENDENCIES) 
	@rm -f copy$(EXEEXT)
	$(LINK) $(copy_OBJECTS) $(copy_LDADD) $(LIBS)
copy1$(EXEEXT): $(copy1_OBJECTS) $(copy1_DEPENDENCIES) 
	@rm -f copy1$(EXEEXT)
	$(LINK) $(copy1_OBJECTS) $(copy1_LDADD) $(LIBS)
devrdev$(EXEEXT): $(devrdev_OBJECTS) $(devrdev_DEPENDENCIES) 
	@rm -f devrdev$(EXEEXT)
	$(LINK) $(devrdev_OBJECTS) $(devrdev_LDADD) $(LIBS)
devzero$(EXEEXT): $(devzero_OBJECTS) $(devzero_DEPENDENCIES) 
	@rm -f devzero$(EXEEXT)
	$(LINK) $(devzero_OBJECTS) $(devzero_LDADD) $(LIBS)
fileflags$(EXEEXT): $(fileflags_OBJECTS) $(fileflags_DEPENDENCIES) 
	@rm -f fileflags$(EXEEXT)
	$(LINK) $(fileflags_OBJECTS) $(fileflags_LDADD) $(LIBS)
filesize$(EXEEXT): $(filesize_OBJECTS) $(filesize_DEPENDENCIES) 
	@rm -f filesize$(EXEEXT)
	$(LINK) $(filesize_OBJECTS) $(filesize_LDADD) $(LIBS)
filetype$(EXEEXT): $(filetype_OBJECTS) $(filetype_DEPENDENCIES) 
	@rm -f filetype$(EXEEXT)
	$(LINK) $(filetype_OBJECTS) $(filetype_LDADD) $(LIBS)
ftw2$(EXEEXT): $(ftw2_OBJECTS) $(ftw2_DEPENDENCIES) 
	@rm -f ftw2$(EXEEXT)
	$(LINK) $(ftw2_OBJECTS) $(ftw2_LDADD) $(LIBS)
ftw3$(EXEEXT): $(ftw3_OBJECTS) $(ftw3_DEPENDENCIES) 
	@rm -f ftw3$(EXEEXT)
	$(LINK) $(ftw3_OBJECTS) $(ftw3_LDADD) $(LIBS)
ftw4$(EXEEXT): $(ftw4_OBJECTS) $(ftw4_DEPENDENCIES) 
	@rm -f ftw4$(EXEEXT)
	$(LINK) $(ftw4_OBJECTS) $(ftw4_LDADD) $(LIBS)
hello$(EXEEXT): $(hello_OBJECTS) $(hello_DEPENDENCIES) 
	@rm -f hello$(EXEEXT)
	$(LINK) $(hello_OBJECTS) $(hello_LDADD) $(LIBS)
hole$(EXEEXT): $(hole_OBJECTS) $(hole_DEPENDENCIES) 
	@rm -f hole$(EXEEXT)
	$(LINK) $(hole_OBJECTS) $(hole_LDADD) $(LIBS)
longpath$(EXEEXT): $(longpath_OBJECTS) $(longpath_DEPENDENCIES) 
	@rm -f longpath$(EXEEXT)
	$(LINK) $(longpath_OBJECTS) $(longpath_LDADD) $(LIBS)
ls1$(EXEEXT): $(ls1_OBJECTS) $(ls1_DEPENDENCIES) 
	@rm -f ls1$(EXEEXT)
	$(LINK) $(ls1_OBJECTS) $(ls1_LDADD) $(LIBS)
mcopy$(EXEEXT): $(mcopy_OBJECTS) $(mcopy_DEPENDENCIES) 
	@rm -f mcopy$(EXEEXT)
	$(LINK) $(mcopy_OBJECTS) $(mcopy_LDADD) $(LIBS)
mycd$(EXEEXT): $(mycd_OBJECTS) $(mycd_DEPENDENCIES) 
	@rm -f mycd$(EXEEXT)
	$(LINK) $(mycd_OBJECTS) $(mycd_LDADD) $(LIBS)
nonblockw$(EXEEXT): $(nonblockw_OBJECTS) $(nonblockw_DEPENDENCIES) 
	@rm -f nonblockw$(EXEEXT)
	$(LINK) $(nonblockw_OBJECTS) $(nonblockw_LDADD) $(LIBS)
pipe$(EXEEXT): $(pipe_OBJECTS) $(pipe_DEPENDENCIES) 
	@rm -f pipe$(EXEEXT)
	$(LINK) $(pipe_OBJECTS) $(pipe_LDADD) $(LIBS)
pollpipe$(EXEEXT): $(pollpipe_OBJECTS) $(pollpipe_DEPENDENCIES) 
	@rm -f pollpipe$(EXEEXT)
	$(LINK) $(pollpipe_OBJECTS) $(pollpipe_LDADD) $(LIBS)
pollpipe1$(EXEEXT): $(pollpipe1_OBJECTS) $(pollpipe1_DEPENDENCIES) 
	@rm -f pollpipe1$(EXEEXT)
	$(LINK) $(pollpipe1_OBJECTS) $(pollpipe1_LDADD) $(LIBS)
seek$(EXEEXT): $(seek_OBJECTS) $(seek_DEPENDENCIES) 
	@rm -f seek$(EXEEXT)
	$(LINK) $(seek_OBJECTS) $(seek_LDADD) $(LIBS)
selectpipe$(EXEEXT): $(selectpipe_OBJECTS) $(selectpipe_DEPENDENCIES) 
	@rm -f selectpipe$(EXEEXT)
	$(LINK) $(selectpipe_OBJECTS) $(selectpipe_LDADD) $(LIBS)
selectpipe1$(EXEEXT): $(selectpipe1_OBJECTS) $(selectpipe1_DEPENDENCIES) 
	@rm -f selectpipe1$(EXEEXT)
	$(LINK) $(selectpipe1_OBJECTS) $(selectpipe1_LDADD) $(LIBS)
testerror$(EXEEXT): $(testerror_OBJECTS) $(testerror_DEPENDENCIES) 
	@rm -f testerror$(EXEEXT)
	$(LINK) $(testerror_OBJECTS) $(testerror_LDADD) $(LIBS)
uidgid$(EXEEXT): $(uidgid_OBJECTS) $(uidgid_DEPENDENCIES) 
	@rm -f uidgid$(EXEEXT)
	$(LINK) $(uidgid_OBJECTS) $(uidgid_LDADD) $(LIBS)
umask$(EXEEXT): $(umask_OBJECTS) $(umask_DEPENDENCIES) 
	@rm -f umask$(EXEEXT)
	$(LINK) $(umask_OBJECTS) $(umask_LDADD) $(LIBS)
unlink$(EXEEXT): $(unlink_OBJECTS) $(unlink_DEPENDENCIES) 
	@rm -f unlink$(EXEEXT)
	$(LINK) $(unlink_OBJECTS) $(unlink_LDADD) $(LIBS)
zap$(EXEEXT): $(zap_OBJECTS) $(zap_DEPENDENCIES) 
	@rm -f zap$(EXEEXT)
	$(LINK) $(zap_OBJECTS) $(zap_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/access.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cdpwd.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/changemod.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conf.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/copy.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/copy1.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/devrdev.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/devzero.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fileflags.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filesize.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filetype.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ftw2.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ftw4.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hello.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hole.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/longpath.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ls1.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mcopy.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mycd.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nonblockw.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pipe.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pollpipe.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pollpipe1.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/seek.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selectpipe.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selectpipe1.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testerror.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uidgid.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/umask.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unlink.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zap.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	test -d $(distdir) || mkdir $(distdir)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && cd $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@cd $(distuninstallcheck_dir) \
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am: install-binPROGRAMS

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
	clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
	dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
	distclean distclean-compile distclean-generic distclean-tags \
	distcleancheck distdir distuninstallcheck dvi dvi-am html \
	html-am info info-am install install-am install-binPROGRAMS \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-binPROGRAMS

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
